INTERFACE
SUBROUTINE SUNMEN(KSMAX,KHTYP,KDGL,KLOEN,PSQM2,KDGSA,KDGEN,KMEN,PNLGINC)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KDGSA
INTEGER(KIND=JPIM),INTENT(IN) :: KDGEN
INTEGER(KIND=JPIM),INTENT(IN) :: KSMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KHTYP
INTEGER(KIND=JPIM),INTENT(IN) :: KDGL
INTEGER(KIND=JPIM),INTENT(IN) :: KLOEN(KDGSA:KDGEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PSQM2(KDGSA:KDGEN)
INTEGER(KIND=JPIM),INTENT(OUT) :: KMEN(KDGSA:KDGEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PNLGINC
END SUBROUTINE SUNMEN
END INTERFACE
